Bug 445601 - Review Request: ruby-augeas - Ruby bindings for Augeas
Review Request: ruby-augeas - Ruby bindings for Augeas
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 17:55 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 12:35:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2008-05-07 17:55:15 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-augeas.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-augeas-0.1.0-1.src.rpm
Description: Ruby bindings for augeas.
Comment 1 David Lutterkort 2008-05-07 18:12:51 EDT
rpmlint is clean except for

  ruby-augeas.x86_64: W: incoherent-version-in-changelog 0.0.1-1 0.1.0-1.fc9

which I will fix before importing into CVS

Comment 2 Richard W.M. Jones 2008-05-08 04:25:08 EDT
Taking review (later today).
Comment 3 Richard W.M. Jones 2008-05-08 09:33:11 EDT
- rpmlint output

ruby-augeas.x86_64: W: incoherent-version-in-changelog 0.0.1-1 0.1.0-1.fc8

The %changelog has an obviously wrong first entry.  Easy to fix.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
  LGPLv2+
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  f0a822be6e0d4ce3544904c15244a750 ruby-augeas-0.1.0.tgz
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
  built in Koji to check
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock

Built in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=600578

+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

===============

APPROVED, just fix that %changelog before checking it in.
Comment 4 David Lutterkort 2008-05-08 14:41:04 EDT
New Package CVS Request
=======================
Package Name: augeas
Short Description: a configuration API
Owners: lutter
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-08 15:46:29 EDT
This should be 'ruby-augeas' for the package ? 
Can you repost your cvs request with the right package name and description?
Thanks. 
Comment 6 David Lutterkort 2008-05-08 17:04:22 EDT
Sorry about that ... seems I haven't mastered the high art of cut&paste

Fixed request:

New Package CVS Request
=======================
Package Name: ruby-augeas
Short Description: Ruby bindings for Augeas
Owners: lutter
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-09 15:27:41 EDT
cvs done.
Comment 8 Mamoru TASAKA 2008-05-09 21:24:43 EDT
Please change the Source0 to full URL.
http://fedoraproject.org/wiki/Packaging/SourceURL
Comment 9 David Lutterkort 2008-05-12 12:35:04 EDT
Imported and built as http://koji.fedoraproject.org/koji/buildinfo?buildID=48599
Comment 10 David Lutterkort 2008-12-16 05:24:46 EST
Package Change Request
======================
Package Name: ruby-augeas
New Branches: EL-4, EL-5
Comment 11 Kevin Fenzi 2008-12-17 19:35:35 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.